@echo off

set QUINTUS_FILES=./lib/quintus.js ./lib/quintus_2d.js ./lib/quintus_anim.js ./lib/quintus_audio.js ./lib/quintus_input.js ./lib/quintus_scenes.js ./lib/quintus_sprites.js ./lib/quintus_touch.js ./lib/quintus_ui.js
set LZSTRING=./lib/lz_string.js
set MY_SOURCE_FILES=./src/editor.js ./src/levels.js ./src/player.js ./src/scenes.js ./src/tilemap.js

set INPUT_FILES=%QUINTUS_FILES% %LZSTRING% %MY_SOURCE_FILES% main.js

set OUTPUT_NAME=main.min.js

call uglifyjs %INPUT_FILES% -r "Quintus" --lint -v --screw-ie8 --comments -o %OUTPUT_NAME% -c -m unsafe

call "C:/Program Files (x86)/GnuWin32/bin/gzip.exe" -9 %OUTPUT_NAME%

PAUSE
