var savename = 'ld28.savedata';

init_globals = function(Q, dontload) {

	var defaultSave = {
		difficulty: 0,

		level: 0,
		
		shiphp: 100,

		speed: 1,
		turning: 1,

		ammo: 30,
		food: 5,
		seeds: 3,
		plantstage: 0,

		playerx: 0,
		playery: 22,

		chimphp: 100,
		hunger: 0,
		fatigue: 0,
	};

	Q.globals = Q._clone(defaultSave);

	Q._mute = false;

	if(!dontload)
		globals_load(Q);

};

globals_save = function(Q) {

	if(Q.globals)
	{
		var save = Q.globals;

		var savedata = JSON.stringify(save);
		savedata = LZString.compressToUTF16(savedata);
		localStorage.setItem(savename, savedata);

		console.log("Saved "+(savedata.length*2)+" bytes");
		console.log(save);
	}

};

globals_load = function(Q) {
	var oldsave = localStorage.getItem(savename);
	if(oldsave)
	{
		oldsave = LZString.decompressFromUTF16(oldsave);
		oldsave = JSON.parse(oldsave);

		Q.globals = Q._extend(Q.globals, oldsave);
	}
};