@echo off

SETLOCAL

set "filename=%1"
set "frames=%2"
set "mapformat=%3"
set "framesize=%4"
set "outname=%5"

echo Compiling:

for /L %%n in (0,1,%frames%) do (
	call :append %filename%%%n.png
)

call montage %filenames% -tile %mapformat% -geometry %framesize%+0+0 -background transparent %outname%

goto :end

:append
echo %1
if not defined filenames (
	set "filenames="
)
set "filenames=%filenames% %1"
goto :eof

:end

ENDLOCAL

echo Done!
